Subject: [Megaco] Audit Descriptor and under/overspecified Descriptor

From: [email-masked]
Date: Mon, 24 Mar 2003 19:40:24 +0530

Hi

I have a query with respect to conflicts between the underspecified
overspecified descriptor processing and audit descriptor processing.
Both of these descriptors in a command request mandate the inclusion
of descriptors in the command reply.Whereas there can be scenarios
when multiple candidate descriptors can occur in the command reply.

How is the contention resolved?

I am taking an example of media descriptor.

e.g.
Assuming an ephemeral termination with the following current state of the
descriptors:

LocalControl { Mode = Inactive, nt/jit=120 }
Local {
     v=0
     c=IN IP4 132.168.200.4
     m=audio 6000 RTP/AVP 4
}

Now, a MODIFY command with Audit descriptor and an underspecified/ overspecified
Media
Desc (Local desc) is received.

Modify = rtp1000 {
     Audit { Media },
     Media { Stream = 1 {
               LocalControl { Mode = ReceiveOnly, nt/jit=40 },
               Local {
                    v=0
                    c=IN IP4 $
                    m=audio $ RTP/AVP 0 8
}}}}

Assuming that during the MODIFY command processing, MG selects the following new
values:
IP address          -    132.168.200.5
port number         -    7000
payload type   -    8

How should the MODIFY command reply look like:

Option 1
Old media descriptor is sent.
Modify = rtp1000 {
     Media { Stream = 1 {
               LocalControl { Mode = Inactive, nt/jit=120 },
               Local {
                    v=0
                    c=IN IP4 132.168.200.4
                    m=audio 6000 RTP/AVP 4
}}}}
But, as per the protocol the underspecified/ overspecified Local descriptor
after resolution in the MG must be returned in the response.

Option 2
Old media descriptor with overwritten underspecified/ overspecified Local
descriptor after resolution is sent.
Modify = rtp1000 {
     Media { Stream = 1 {
               LocalControl { Mode = Inactive, nt/jit=120 },
               Local {
                    v=0
                    c=IN IP4 132.168.200.5
                    m=audio 7000 RTP/AVP 8
}}}}
But, the complete Media descriptor is inconsistent, i.e., Local COntrol is old
but
the Local descriptor is the new one. Although, MGC would know which descriptor
was
underspecified/ overspecfied in the request and can relate.

Option 3
New media descriptor is sent.
Modify = rtp1000 {
     Media { Stream = 1 {
               LocalControl { Mode = ReceiveOnly, nt/jit=40 },
               Local {
                    v=0
                    c=IN IP4 132.168.200.5
                    m=audio 7000 RTP/AVP 8
}}}}
But, as per the protocol the descriptors need to be processed in sequence of
occurance
and therefore, media descriptor should be the old one.

I am still unclear if the protocol resolves this problem.
Please comment?

Rgds

Ashish Jhingran

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco